Name:           cutemaze
Version:        1.3.2
Release:        %mkrel 1
Summary:        Top-down maze game
Group:          Games/Puzzles
License:        GPLv3+
URL:            https://gottcode.org/cutemaze
Source0:        https://gottcode.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
CuteMaze is a simple, top-down game in which mazes are randomly
generated using one of a choice of several different algorithms.
You move the character through the maze while hunting for targets
(cheese, by default)—the game is won once all of these targets
(have been picked up.

%prep
%autosetup -p1

%build
%cmake_qt6 -DCMAKE_INSTALL_BINDIR=%{_gamesbindir}
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog COPYING CREDITS README
%{_gamesbindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man6/%{name}.6*


%changelog
* Thu Jan 12 2023 daviddavid <daviddavid> 1.3.2-1.mga9
+ Revision: 1932446
- new version: 1.3.2

* Tue Dec 06 2022 daviddavid <daviddavid> 1.3.1-1.mga9
+ Revision: 1918502
- new version: 1.3.1
- switch to Qt6 and cmake build system

* Mon Apr 04 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1843652
- Mageia 9 Mass Rebuild

* Fri May 21 2021 daviddavid <daviddavid> 1.3.0-1.mga9
+ Revision: 1725940
- new version: 1.3.0

* Wed Dec 16 2020 umeabot <umeabot> 1.2.6-2.mga8
+ Revision: 1658317
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 1.2.6-1.mga8
+ Revision: 1570407
- new version: 1.2.6

* Sat Feb 15 2020 umeabot <umeabot> 1.2.5-2.mga8
+ Revision: 1528351
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 1.2.5-1.mga8
+ Revision: 1430147
- new version: 1.2.5

* Sat Mar 30 2019 umeabot <umeabot> 1.2.4-3.mga7
+ Revision: 1381524
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-2.mga7
+ Revision: 1297381
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1244539
- new version: 1.2.4

* Wed May 30 2018 daviddavid <daviddavid> 1.2.3-1.mga7
+ Revision: 1233025
- new version: 1.2.3

* Sat Dec 30 2017 akien <akien> 1.2.2-1.mga7
+ Revision: 1187660
- Version 1.2.2

* Sat Aug 26 2017 akien <akien> 1.2.1-1.mga7
+ Revision: 1147953
- Version 1.2.1

* Thu Oct 20 2016 akien <akien> 1.2.0-1.mga6
+ Revision: 1062586
- Version 1.2.0

* Tue Feb 09 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 951335
- Mageia 6 Mass Rebuild

* Wed Dec 17 2014 akien <akien> 1.1.1-1.mga5
+ Revision: 803789
- imported package cutemaze

